aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/check-notmuch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/check-notmuch.sh')
-rwxr-xr-xcontrib/check-notmuch.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/check-notmuch.sh b/contrib/check-notmuch.sh
new file mode 100755
index 00000000..6b5beb62
--- /dev/null
+++ b/contrib/check-notmuch.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+tmp=$(mktemp -d)
+trap "rm -rf $tmp" EXIT
+
+cat > $tmp/src.go <<EOF
+package main
+
+// #cgo LDFLAGS: -lnotmuch
+// #include <notmuch.h>
+import "C"
+
+func main() {
+ C.notmuch_status_to_string(C.NOTMUCH_STATUS_SUCCESS)
+}
+EOF
+
+${GO:-go} build -o $tmp/out $tmp/src.go